import express, { Express, Request, Response } from "express";
import { AddRoute, Config } from "./types";
export declare function createServer(config?: Config | undefined): Express;
export declare function addRoute<Data = unknown, Params = unknown, Ctx = unknown>(cb: ({ req, res, data, params, ctx, }: {
    req: Request;
    res: Response;
    data: Data;
    params: Params;
    ctx: Ctx;
}) => Record<string, any>, { method, path, middlewares, secure, fields, summary, description, }?: AddRoute): void;
export declare function getExpressApp(): express.Express;
